package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: sop人员配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/21
 */
public class SopAllocationParam extends UserArchivesAllocationParam implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("流程id")
    @NotNull(message = "流程id不能为空")
    private Long flowId;

    public SopAllocationParam() {

    }

    public SopAllocationParam(UserArchivesAllocationParam userArchivesAllocationParam) {
        super(userArchivesAllocationParam);
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }
}
